%define name strobe
%define version 1.04
%define release 2

%define builddir $RPM_BUILD_DIR/%{name}

Summary: Strobe - Super optimized TCP port surveyor

Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications/Internet
Copyright: GPL
Source: %{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-%{release}-fix.patch.bz2
Patch1: %{name}-%{version}-%{release}-makefile.patch.bz2
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

%description
Strobe is a network/security tool that locates and
describes all listening TCP ports on a (remote)
host.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .mike
%patch1 -p1 -b .mike2

%build
make "FLAGS=$RPM_OPT_FLAGS"

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/misc,man/man1}
cp %{builddir}/strobe $RPM_BUILD_ROOT/usr/bin
cp %{builddir}/strobe.1 $RPM_BUILD_ROOT/usr/man/man1
cp %{builddir}/strobe.services $RPM_BUILD_ROOT/usr/share/misc
strip $RPM_BUILD_ROOT/usr/bin/*
gzip -9f $RPM_BUILD_ROOT/usr/man/man1/*.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT CREDITS VERSION POST HISTORY
%attr(755,root,root) /usr/bin/strobe
%attr(644,root,root) %config /usr/share/misc/strobe.services
%attr(644,root,root) /usr/man/man1/*.1.gz

%changelog
* Mon Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
